#ifndef ipH
#define ipH


#define TYPE_UDP           0x11
#define TYPE_TCP           0x06
#define TYPE_ICMP          0x01


struct IP_header {
  unsigned char IP_ver_and_IHL;
  unsigned char IP_type_of_service;
  unsigned int  IP_total_leng;
  unsigned int  IP_identification;
  unsigned int  IP_fragment;
  unsigned char IP_TTL;
  unsigned char IP_protocol;
  unsigned int  IP_checksum;
  unsigned char IP_sourceIp[4];
  unsigned char IP_destIp[4];
};


// FUNCTION
extern void ip_in (unsigned int len);
extern void ip (unsigned char *buff);

extern int checksum (unsigned char *pointer,unsigned long result32,unsigned int result16);


#endif

