#include    "platform.h"
#include    "icmp.h"

#include    "enc28j60.h"
#include    "eth.h"
#include    "ip.h"



/* ==========================================================================
   Receive ICMP and send response
   argument: len - complet length
             *buffer - pointer tu packet buffer
*/
void icmp (unsigned int len, unsigned char *buff) {
  unsigned int txbuf;
  struct ICMP_header *icmp;
  icmp = (struct ICMP_header *)&buff[34];

  eth (buff);                                         // eth header generate
  ip (buff);                                          // ip header generate


  icmp->ICMP_type = ICMP_REPLY;                       // type
  icmp->ICMP_code = 0;

  icmp->ICMP_checksumByte += HTONS(ICMP_ECHO << 8);   // checksum
  if (icmp->ICMP_checksumByte < HTONS(ICMP_ECHO<<8)) icmp->ICMP_checksumByte++;

  if (!nic_tx_alloc(&txbuf)) return;                  // write buffer to chip
  netbuf_wr_seek(txbuf, NB_SEEK_SET);
  netbuf_write(buff, len);
  netbuf_close();

  nic_tx(len);                                        // send buffer

}


