#ifndef tcpH
#define tcpH

                                                      // tcp flags:
#define  TF_URG     0x20                              // URG
#define  TF_ACK     0x10                              // ACK
#define  TF_PSH     0x08                              // PSH
#define  TF_RST     0x04                              // RST
#define  TF_SYN     0x02                              // SYN
#define  TF_FIN     0x01                              // FIN


struct TCP_header {
  unsigned int  TCP_sourcePort;
  unsigned int  TCP_destPort;
  unsigned char TCP_SeqNumb_3;
  unsigned char TCP_SeqNumb_2;
  unsigned char TCP_SeqNumb_1;
  unsigned char TCP_SeqNumb_0;
  unsigned char TCP_AckNumb_3;
  unsigned char TCP_AckNumb_2;
  unsigned char TCP_AckNumb_1;
  unsigned char TCP_AckNumb_0;
  unsigned char TCP_DataOffset;
  unsigned char TCP_Flags;
  unsigned int  TCP_Window;
  unsigned int  TCP_Checksum;
  unsigned int  TCP_UrgPointer;
};


// FUNCTION
extern void tcp (unsigned char *buff);

extern void tcp_send(unsigned int len, unsigned char *buff, unsigned char flags, unsigned int lenack, int lensour);
extern void tcp_send_packet (unsigned int len, unsigned char *buff);

extern void ack_received(unsigned char tcpflags);
extern void tcp_res (void);

unsigned int tcp_checksum(unsigned int len, unsigned char *buff);

#endif

